* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
  font-family: sans-serif;
}

.bonga {
  color: rgb(5, 79, 5);
  font-weight: 800;
  font-size: 10vmin;
}

body {
  position: relative;
  display: flex;
  align-items: center;
  justify-content: center;
  background-color: rgb(135, 115, 115);
  flex-direction: column;
}

#loader {
  height: 100vh;
  width: 100%;
  background-color: rgb(85, 72, 72);
  position: fixed;
  top: 0%;
  left: 0%;
  display: flex;
  align-items: center;
  justify-content: center;
  z-index: 99;
  animation-name: load;
  animation-duration: 0.5s;
  animation-delay: 3.9s;
  animation-timing-function: linear;
  animation-iteration-count: 1;
  animation-direction: normal;
  animation-fill-mode: forwards;
}

@keyframes load {
    0% {
        opacity: 1;
      }
      
      100% {
        opacity: 0;
        top: -100%;
      }
}

#loader h1 {
  background: linear-gradient(90deg, rgb(2, 146, 81), rgb(2, 145, 26));
  color: transparent;
  -webkit-background-clip: text;
  font-size: 70px;
  font-weight: 700;
  opacity: 0;
  animation-name: loading;
  animation-duration: 1.1s;
  animation-delay: 1s;
  animation-timing-function: linear;
  animation-iteration-count: 1;
  position: absolute;
}

#loader h1:nth-child(2) {
  animation-delay: 2.2s;
  font-size: 50px;

}
#loader h1:nth-child(3) {
    animation-delay: 3.3s;
  }

@keyframes loading {
  0% {
    opacity: 0;
  }
  10% {
    opacity: 1;
  }
  90% {
    opacity: 1;
  }
}



.parent {
  display: grid;
  grid-template-columns: repeat(10, 1fr);
  grid-template-rows: repeat(10, 1fr);
  height: 70vmin;
  width: 70vmin;
  background-color: rgba(0, 0, 0, 0.2);
  border: 1px solid black;
  min-width: 300px;
  min-height: 300px;
  margin-top: 20px;
}

.parent .child {
  border: 1px solid black;
}
.parent div:hover {
  background-color: rgba(2, 32, 121, 0.566);
}

.bomb {
  background: transparent;
}

.clicked {
  background-color: rgb(5, 79, 5);
}

.blast {
  background-color: red;
}


#reload{
    padding: 15px 25px ;
    margin-top: 30px;
    outline: none;
    background-color: rgb(35, 88, 35);
    color: rgb(143, 126, 92);
    border-radius: 2px;
    border: none;
    cursor: pointer;
    box-shadow: 0 0 1px rgb(89, 87, 87);
}

#reload:hover{
    background-color: rgb(49, 85, 46);
    color: rgb(143, 126, 92);
    box-shadow: 0 0 5px rgb(73, 70, 70);

}